import { defineConfig, definePlugins } from "@tailor-platform/sdk";
import { kyselyTypePlugin } from "@tailor-platform/sdk/plugin/kysely-type";
import { enumConstantsPlugin } from "@tailor-platform/sdk/plugin/enum-constants";

export default defineConfig({
  name: "user-management",
  db: { "main-db": { files: [`./db/*.ts`] } },
});

export const plugins = definePlugins(
  kyselyTypePlugin({ distPath: `./generated/kysely-tailordb.ts` }),
  enumConstantsPlugin({ distPath: "./generated/enums.ts" }),
);
